### Method

# Camel ObjectBag add

#### Declaration [src]

    void
    camel_object_bag_add (
      CamelObjectBag* bag,
      gconstpointer key,
      gpointer object
    )

#### Description [src]

Adds `object` to `bag`. The `key` MUST have been previously reserved using camel_object_bag_reserve().

#### Parameters

`key`

  Type: `gconstpointer`

  A reserved key.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`object`

  Type: `gpointer`

  A `GObject`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.